net.fortuna.ical4j.model

## Class AddressList

- java.lang.Object
- - net.fortuna.ical4j.model.AddressList

All Implemented Interfaces:
  Serializable

    public class AddressList
    extends Object
    implements Serializable

$Id$ [23-Apr-2004] Defines a list of iCalendar addresses.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AddressList()` Default constructor.
`AddressList(String aValue)` Parses the specified string representation to create a list of addresses.

### Method Summary

Methods
`boolean` `add(URI address)` Add an address to the list.
`boolean` `isEmpty()`
`Iterator` `iterator()`
`boolean` `remove(URI address)` Remove an address from the list.
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AddressList

    public AddressList()

Default constructor.

#### AddressList

    public AddressList(String aValue)
                throws URISyntaxException

Parses the specified string representation to create a list of addresses.

Parameters:
  `aValue` - a string representation of a list of addresses
Throws:
  `URISyntaxException` - where the specified string is not a valid representation

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

#### add

    public final boolean add(URI address)

Add an address to the list.

Parameters:
  `address` - the address to add
Returns:
  true
See Also:
  `List.add(java.lang.Object)`

#### isEmpty

    public final boolean isEmpty()

Returns:
  boolean indicates if the list is empty
See Also:
  `List.isEmpty()`

#### iterator

    public final Iterator iterator()

Returns:
  an iterator
See Also:
  `List.iterator()`

#### remove

    public final boolean remove(URI address)

Remove an address from the list.

Parameters:
  `address` - the address to remove
Returns:
  true if the list contained the specified address
See Also:
  `List.remove(java.lang.Object)`

#### size

    public final int size()

Returns:
  the number of addresses in the list
See Also:
  `List.size()`